## virtualjaguar 2.1.2

=== Makefile ===
# Makefile for Virtual Jaguar
#
# by James Hammons
# (C) 2011 Underground Software
#
# Note that we control the version information here--uncomment only one set of
# echo's from the "prepare" recipe. :-)
#

FIND = find

ifeq ("$(V)","1")
Q :=
else
Q := @
endif

# Gah
OSTYPE := $(shell uname -a)

# Should catch both 'darwin' and 'darwin7.0'
ifeq "$(findstring Darwin,$(OSTYPE))" "Darwin"
QMAKE_EXTRA := -spec macx-g++
endif

# Set basic flags, these can be overridden from the environment
CFLAGS = -O2
CXXFLAGS = -O2

# Add CPPFLAGS
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# Without these flags, Virtual Jaguar will run very slow.
CFLAGS += -ffast-math -fomit-frame-pointer
CXXFLAGS += -ffast-math -fomit-frame-pointer

# Flags to pass on to qmake...
QMAKE_EXTRA += "QMAKE_CFLAGS_RELEASE=$(CFLAGS)"
QMAKE_EXTRA += "QMAKE_CXXFLAGS_RELEASE=$(CXXFLAGS)"
QMAKE_EXTRA += "QMAKE_LFLAGS_RELEASE=$(LDFLAGS)"

QMAKE_EXTRA += "QMAKE_CFLAGS_DEBUG=$(CFLAGS)"
QMAKE_EXTRA += "QMAKE_CXXFLAGS_DEBUG=$(CXXFLAGS)"
QMAKE_EXTRA += "QMAKE_LFLAGS_DEBUG=$(LDFLAGS)"


all: prepare virtualjaguar
	@echo -e "\033[01;33m***\033[00;32m Success!\033[00m"

obj:
	@mkdir obj

prepare: obj
	@echo -e "\033[01;33m***\033[00;32m Preparing to compile Virtual Jaguar...\033[00m"
	@echo "#define VJ_RELEASE_VERSION \"v2.1.2\"" > src/version.h
	@echo "#define VJ_RELEASE_SUBVERSION \"Final\"" >> src/version.h
	@echo "#define VJ_REMOVE_DEV_CODE" >> src/version.h
#	@echo "#define VJ_RELEASE_VERSION \"GIT `git log -1 --pretty=format:%ci | cut -d ' ' -f 1 | tr -d -`\"" > src/version.h
#	@echo "#define VJ_RELEASE_SUBVERSION \"2.1.2 Prerelease\"" >> src/version.h

virtualjaguar: sources libs makefile-qt
	@echo -e "\033[01;33m***\033[00;32m Making Virtual Jaguar GUI...\033[00m"
	$(Q)$(MAKE) -f makefile-qt CROSS=$(CROSS) V="$(V)"

makefile-qt: virtualjaguar.pro
	@echo -e "\033[01;33m***\033[00;32m Creating Qt makefile...\033[00m"
	$(Q)$(CROSS)qmake $(QMAKE_EXTRA) virtualjaguar.pro -o makefile-qt

libs: obj/libm68k.a obj/libjaguarcore.a
	@echo -e "\033[01;33m***\033[00;32m Libraries successfully made.\033[00m"

obj/libm68k.a: src/m68000/Makefile sources
	@echo -e "\033[01;33m***\033[00;32m Making Customized UAE 68K Core...\033[00m"
	$(Q)$(MAKE) -C src/m68000 CROSS=$(CROSS) CFLAGS="$(CFLAGS)" V="$(V)"
	$(Q)cp src/m68000/obj/libm68k.a obj/

obj/libjaguarcore.a: jaguarcore.mak sources
	@echo -e "\033[01;33m***\033[00;32m Making Virtual Jaguar core...\033[00m"
	$(Q)$(MAKE) -f jaguarcore.mak CROSS=$(CROSS) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" V="$(V)"

sources: src/*.h src/*.cpp src/m68000/*.c src/m68000/*.h

clean:
	@echo -ne "\033[01;33m***\033[00;32m Cleaning out the garbage...\033[00m"
	@-rm -rf ./obj
	@-rm -rf ./src/m68000/obj
	@-rm -rf makefile-qt
	@-rm -rf virtualjaguar
	@-$(FIND) . -name "*~" -exec rm -f {} \;
	@echo "done!"

statistics:
	@echo -n "Lines in source files: "
	@-$(FIND) ./src -name "*.cpp" | xargs cat | wc -l
	@echo -n "Lines in header files: "
	@-$(FIND) ./src -name "*.h" | xargs cat | wc -l

dist:	clean

=== debian/changelog ===
virtualjaguar (2.1.2-1) unstable; urgency=medium

  * Fix watch file (missing 2 from bz2), and scan for numeric versions.
  * Import upstream version 2.1.1.
  * Add myself as uploader.
  * Use verbose output from makefiles.
  * Fix location of README file.
  * Drop patches integrated in new upstream release.
  * Import upstream version 2.1.2.
  * Install 32x32 pixel version of the icon for menu.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Sat, 11 Oct 2014 12:11:47 +0100

virtualjaguar (2.1.0-3) unstable; urgency=medium

  [ Teemu Hukkanen ]
  * Add patch to enable build support on Debian GNU/Hurd.

  [ John Paul Adrian Glaubitz ]
  * Fix relative paths of the public-domain files in debian/copyright.
  * Remove docs/WHATSNEW from the files to be installed in debian/docs.
  * Update standards version to 3.9.6 in debian/control, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 20 Sep 2014 16:07:22 +0200

virtualjaguar (2.1.0-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Fix wording in long description in debian/control.
  * Add override for dh_installchangelogs in debian/rules to install docs/WHATSNEW as changelog.gz.
  * Remove trailing space in debian/rules.

  [ Teemu Hukkanen ]
  * Add patch to use XDG_DATA_DIR for EEPROM and ROM files.
  * Add patch to enable build support on Debian kFreeBSD.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 17 Sep 2014 14:17:26 +0200

virtualjaguar (2.1.0-1) unstable; urgency=low

  * Initial release (Closes: 749579).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 27 May 2014 19:00:51 +0200

=== debian/control ===
Source: virtualjaguar
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
Build-Depends: debhelper (>= 9.0.0),
               libqt4-dev,
               libqt4-opengl-dev,
               libsdl1.2-dev,
               netpbm
Standards-Version: 3.9.6
Homepage: http://icculus.org/virtualjaguar/
Vcs-Git: git://github.com/glaubitz/virtualjaguar-debian.git
Vcs-Browser: https://github.com/glaubitz/virtualjaguar-debian

Package: virtualjaguar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform Atari Jaguar emulator
 Virtual Jaguar is a cross-platform emulator for Atari's infamous
 Jaguar console, the last video game system to be ever released by
 the now defunct company. The Jaguar was marketed as the first
 64-bit video game system despite the fact that it was actually
 a 32-bit system at heart, just the blitter operated in 64-bit
 mode. The system was a commercial failure and eventually lead
 to Atari leaving the market for video game systems for good.
 .
 This emulator features an intuitive user interface and emulation
 of all of the major subsystems of the Atari Jaguar console. This
 includes full GPU and DSP emulation as well as emulation of the
 Atari Jaguar CD. Most of the commercial Atari games are supported,
 albeit some of them have some minor glitches when running in the
 emulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# build the jaguar core and m68k libraries first,
# then build the actual emulator
override_dh_auto_build:
	make -f jaguarcore.mak V=1
	make -C src/m68000 V=1
	dh_auto_build -- V=1
	# Convert icon to 32x32 for menu
	xpmtoppm res/vj.xpm | \
	 pnmscale -xsize 32 -ysize 32 | \
	 ppmtoxpm -name vj_xpm-32x32 > debian/vj-32x32.xpm

# install docs/WHATSNEW as changelog.gz (Debian Policy 12.7)
override_dh_installchangelogs:
	dh_installchangelogs docs/WHATSNEW

%:
	dh $@

## virtualjaguar 2.1.3

=== Makefile ===
--- 
+++ 
@@ -53,19 +53,19 @@
 
 prepare: obj
 	@echo -e "\033[01;33m***\033[00;32m Preparing to compile Virtual Jaguar...\033[00m"
-	@echo "#define VJ_RELEASE_VERSION \"v2.1.2\"" > src/version.h
-	@echo "#define VJ_RELEASE_SUBVERSION \"Final\"" >> src/version.h
-	@echo "#define VJ_REMOVE_DEV_CODE" >> src/version.h
-#	@echo "#define VJ_RELEASE_VERSION \"GIT `git log -1 --pretty=format:%ci | cut -d ' ' -f 1 | tr -d -`\"" > src/version.h
-#	@echo "#define VJ_RELEASE_SUBVERSION \"2.1.2 Prerelease\"" >> src/version.h
+#	@echo "#define VJ_RELEASE_VERSION \"v2.1.4\"" > src/version.h
+#	@echo "#define VJ_RELEASE_SUBVERSION \"Final\"" >> src/version.h
+#	@echo "#define VJ_REMOVE_DEV_CODE" >> src/version.h
+	@echo "#define VJ_RELEASE_VERSION \"GIT `git log -1 --pretty=format:%ci | cut -d ' ' -f 1 | tr -d -`\"" > src/version.h
+	@echo "#define VJ_RELEASE_SUBVERSION \"2.1.4 Prerelease\"" >> src/version.h
 
 virtualjaguar: sources libs makefile-qt
 	@echo -e "\033[01;33m***\033[00;32m Making Virtual Jaguar GUI...\033[00m"
-	$(Q)$(MAKE) -f makefile-qt CROSS=$(CROSS) V="$(V)"
+	$(Q)$(MAKE) -f makefile-qt CROSS=$(CROSS) V="$(V)" CDIO=libcdio
 
 makefile-qt: virtualjaguar.pro
 	@echo -e "\033[01;33m***\033[00;32m Creating Qt makefile...\033[00m"
-	$(Q)$(CROSS)qmake $(QMAKE_EXTRA) virtualjaguar.pro -o makefile-qt
+	$(Q)$(CROSS)qmake -qt=5 $(QMAKE_EXTRA) virtualjaguar.pro -o makefile-qt
 
 libs: obj/libm68k.a obj/libjaguarcore.a
 	@echo -e "\033[01;33m***\033[00;32m Libraries successfully made.\033[00m"

=== src/m68000/Makefile ===
#
# Makefile for modified UAE 68000 CPU core
#
# by James Hammons
# (C) 2011 Underground Software
#
# This makefile is released under the GPLv3 or later
#

ifeq ("$(V)","1")
Q :=
else
Q := @
endif

# Cross compilation using MXE
#CROSS = i686-pc-mingw32-

CC      := $(CROSS)gcc
LD      := $(CROSS)gcc
AR      := $(CROSS)ar
HOSTCC  := gcc

ARFLAGS := -rs
GCC_DEPS = -MMD
INCS    := -I. -I./obj `$(CROSS)sdl-config --cflags`

OBJS = \
	obj/cpustbl.o \
	obj/cpudefs.o \
	obj/cpuemu.o \
	obj/cpuextra.o \
	obj/readcpu.o \
	obj/m68kinterface.o \
	obj/m68kdasm.o

# Targets for convenience sake, not "real" targets
.PHONY: clean

all: obj obj/libm68k.a
	@echo "Done!"

# Library rules (might not be cross-platform compatible)
obj/libm68k.a: $(OBJS)
	$(Q)$(AR) $(ARFLAGS) obj/libm68k.a $(OBJS)

obj:
	@mkdir ./obj

# Main source compilation (implicit rules)...

obj/%.o: %.c
	@echo -e "\033[01;33m***\033[00;32m Compiling $<...\033[00m"
	$(Q)$(CC) $(GCC_DEPS) $(CFLAGS) $(INCS) -c $< -o $@

obj/%.o: obj/%.c
	@echo -e "\033[01;33m***\033[00;32m Compiling $<...\033[00m"
	$(Q)$(CC) $(GCC_DEPS) $(CFLAGS) $(INCS) -c $< -o $@

# Generated code

obj/cpuemu.c: obj/gencpu
obj/cpustbl.c: obj/gencpu
	@echo -e "\033[01;33m***\033[00;32m Generating cpuemu.c...\033[00m"
	@cd obj && ./gencpu

obj/gencpu: obj/cpudefs.c
	@echo -e "\033[01;33m***\033[00;32m Generating gencpu...\033[00m"
	$(Q)$(HOSTCC) $(GCC_DEPS) $(CFLAGS) gencpu.c readcpu.c obj/cpudefs.c -o obj/gencpu -I. -I./obj

obj/cpudefs.c: obj/build68k
	@echo -e "\033[01;33m***\033[00;32m Generating cpudefs.c...\033[00m"
	$(Q)obj/build68k < table68k > obj/cpudefs.c

obj/build68k: build68k.c
	@echo -e "\033[01;33m***\033[00;32m Compiling $< ...\033[00m"
	$(Q)$(HOSTCC) $(GCC_DEPS) $(CFLAGS) build68k.c -o obj/build68k

clean:
	@echo -ne "\033[01;33m***\033[00;32m Cleaning out the garbage...\033[00m"
	@-rm -rf ./obj
	@echo "done!"

# Pull in dependencies autogenerated by gcc's -MMD switch
# The "-" in front is there just in case they haven't been created yet

-include obj/*.d

=== debian/changelog ===
virtualjaguar (2.1.3-2) unstable; urgency=medium

  * Fix bogus standards version in debian/control.
  * Switch to libqt5opengl5-desktop-dev build-dependency
    in debian/control. (Closes: #884396)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 15 Dec 2017 00:59:14 +0100

virtualjaguar (2.1.3-1) unstable; urgency=medium

  * New upstream release (Closes: #875225).
  * Drop debian/patches/20-fix-sign-declarations.patch, fixed upstream.
  * Drop debian/patches/10-add-version-file.patch, no longer needed.
  * Add patch to fix version number in Makefile.
  * Update Qt Build-Depends for Qt5 in debian/control.
  * Add libcdio-dev to Build-Depends in debian/control.
  * Update standards version to 4.0.1 in
    debian/control, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 18 Sep 2017 19:08:20 +0200

virtualjaguar (2.1.2-3) unstable; urgency=medium

  * Add patch to fix sign declarations of multiple arrays. (Closes: #811775)
  * Update years in debian/copyright.
  * Drop debian/menu file in compliance with CTTE decision (see #741573).
  * Update standards version to 3.9.8 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 15 May 2016 15:16:44 +0200

virtualjaguar (2.1.2-2) unstable; urgency=medium

  * Update VJ_RELEASE_VERSION in debian/patches/
    10-add-version-file.patch to 2.1.2.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 29 Dec 2014 16:12:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,8 @@
 Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 9.0.0),
-               libqt4-dev,
-               libqt4-opengl-dev,
-               libsdl1.2-dev,
-               netpbm
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, libqt5opengl5-desktop-dev, libsdl1.2-dev, netpbm, libcdio-dev
+Standards-Version: 4.1.0
 Homepage: http://icculus.org/virtualjaguar/
 Vcs-Git: git://github.com/glaubitz/virtualjaguar-debian.git
 Vcs-Browser: https://github.com/glaubitz/virtualjaguar-debian

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://icculus.org/virtualjaguar/tarballs/virtualjaguar-([\d\.]*)\.tar\.bz2

## virtualjaguar 2.1.3%2Bfinal

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+final// \
http://icculus.org/virtualjaguar/tarballs/virtualjaguar-([\d\.]*)\.tar\.bz2

## virtualjaguar 2.1.3+final

=== Makefile ===
--- 
+++ 
@@ -53,11 +53,11 @@
 
 prepare: obj
 	@echo -e "\033[01;33m***\033[00;32m Preparing to compile Virtual Jaguar...\033[00m"
-#	@echo "#define VJ_RELEASE_VERSION \"v2.1.4\"" > src/version.h
-#	@echo "#define VJ_RELEASE_SUBVERSION \"Final\"" >> src/version.h
-#	@echo "#define VJ_REMOVE_DEV_CODE" >> src/version.h
-	@echo "#define VJ_RELEASE_VERSION \"GIT `git log -1 --pretty=format:%ci | cut -d ' ' -f 1 | tr -d -`\"" > src/version.h
-	@echo "#define VJ_RELEASE_SUBVERSION \"2.1.4 Prerelease\"" >> src/version.h
+	@echo "#define VJ_RELEASE_VERSION \"v2.1.3\"" > src/version.h
+	@echo "#define VJ_RELEASE_SUBVERSION \"Final\"" >> src/version.h
+	@echo "#define VJ_REMOVE_DEV_CODE" >> src/version.h
+#	@echo "#define VJ_RELEASE_VERSION \"GIT `git log -1 --pretty=format:%ci | cut -d ' ' -f 1 | tr -d -`\"" > src/version.h
+#	@echo "#define VJ_RELEASE_SUBVERSION \"2.1.4 Prerelease\"" >> src/version.h
 
 virtualjaguar: sources libs makefile-qt
 	@echo -e "\033[01;33m***\033[00;32m Making Virtual Jaguar GUI...\033[00m"

=== debian/changelog ===
virtualjaguar (2.1.3+final-1) unstable; urgency=medium

  * New upstream release
  * Drop patch to fix version number in Makefile (Closes: #1046444)
  * Add patch to switch to SDL2
  * Add patch to use joystick identifier from SDL_JoystickOpen
    for SDL_JoystickName
  * Add patch to fix missing inclusion of m68kinterface.h in
    src/m68000/inlines.h (Closes: #1066383)
  * Replace libsdl1.2-dev with libsdl2-dev in Build-Depends
    in debian/control (Closes: #1038585)
  * Update debhelper version to 13 and switch to debhelper-compat
  * Update Debian-Standards to 4.7.2.0 in debian/control
  * Update Vcs-* fields for new Salsa project in debian/control
  * Update copyright years for debian directory in debian/copyright
  * Add dversionmangle for +final version suffix in debian/watch
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 21 Mar 2025 13:56:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Uploaders: Teemu Hukkanen <tjhukkan@iki.fi>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, libqt5opengl5-desktop-dev, libsdl1.2-dev, netpbm, libcdio-dev
-Standards-Version: 4.1.0
+Build-Depends: debhelper-compat (= 13),
+               libcdio-dev,
+               libqt5opengl5-desktop-dev,
+               libsdl2-dev,
+               netpbm,
+               qtbase5-dev
+Standards-Version: 4.7.2.0
 Homepage: http://icculus.org/virtualjaguar/
-Vcs-Git: git://github.com/glaubitz/virtualjaguar-debian.git
-Vcs-Browser: https://github.com/glaubitz/virtualjaguar-debian
+Vcs-Browser: https://salsa.debian.org/debian/virtualjaguar
+Vcs-Git: https://salsa.debian.org/debian/virtualjaguar.git
 
 Package: virtualjaguar
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform Atari Jaguar emulator
  Virtual Jaguar is a cross-platform emulator for Atari's infamous
  Jaguar console, the last video game system to be ever released by

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,11 @@
 	make -f jaguarcore.mak V=1
 	make -C src/m68000 V=1
 	dh_auto_build -- V=1
-	# Convert icon to 32x32 for menu
+
+# Convert icon to 32x32 for menu
 	xpmtoppm res/vj.xpm | \
-	 pnmscale -xsize 32 -ysize 32 | \
-	 ppmtoxpm -name vj_xpm-32x32 > debian/vj-32x32.xpm
+	pnmscale -xsize 32 -ysize 32 | \
+	ppmtoxpm -name vj_xpm-32x32 > debian/vj-32x32.xpm
 
 # install docs/WHATSNEW as changelog.gz (Debian Policy 12.7)
 override_dh_installchangelogs:
